
Foreman - Bug #12730

remove fakefs gem

12/07/2015 08:07 AM - Tom Caspy

Status: Closed   

Priority: Normal   

Assignee: Tom Caspy   

Category: Tests   

Target version: 1.10.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2962

  

Description

causes issues with open uri

Related issues:

Related to Foreman - Bug #12325: Avatars are broken after restoring Foreman D... Closed 10/27/2015

Associated revisions

Revision a4766c96 - 12/08/2015 05:51 AM - Tom Caspy

fixes #12730 - removing the fakeFS gem

Revision f6acd9ce - 01/19/2016 08:16 AM - Tom Caspy

fixes #12730 - removing the fakeFS gem

(cherry picked from commit a4766c96d0dc26402fa4b3dcb383a122d9926009)

History

#1 - 12/07/2015 08:15 AM - Ohad Levy

- Status changed from New to Need more information

issues? what is the impact?

#2 - 12/07/2015 08:16 AM - Dominic Cleal

- Related to Bug #12325: Avatars are broken after restoring Foreman DB on a new host added

#3 - 12/07/2015 08:18 AM - Tom Caspy

fakefs causes this - https://github.com/defunkt/fakefs/issues/312

that seems to be an issue with foreman-docker tests, which use open-uri which is being stomped by fakefs.

#4 - 12/07/2015 08:23 AM - The Foreman Bot

- Status changed from Need more information to Ready For Testing

- Assignee set to Tom Caspy

- Pull request https://github.com/theforeman/foreman/pull/2962 added

#5 - 12/08/2015 05:52 AM - Dominic Cleal

- Category set to Tests

- translation missing: en.field_release set to 104

#6 - 12/08/2015 06:01 AM - Tom Caspy

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100
https://github.com/defunkt/fakefs/issues/312


Applied in changeset a4766c96d0dc26402fa4b3dcb383a122d9926009.
